
$('.imagen-container-group').on('click', '.image-container', function () {
  const clicked = $(this);
  const group = clicked.closest('.imagen-container-group');

  // Limpiar selección anterior
  group.find('.image-container').removeClass('selected')
    .find('.image-presupuesto').removeClass('zoom-anim');

  // Marcar nuevo seleccionado
  clicked.addClass('selected');

  // Aplicar animación de zoom
  const img = clicked.find('.image-presupuesto');
  void img[0].offsetWidth; // Forzar reflow
  img.addClass('zoom-anim');


  clicked.find('input[type="radio"]').prop('checked', true).trigger('change');
});
